<?php

namespace Factory;


class Organization {

    public function createOrganization($name, $foundation, $status, $document, $description) {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization();
        $entity->setName($name);
        if(!($foundation instanceOf \DateTime)){
            $foundation = \DateTime::createFromFormat("d/m/Y", $foundation);
        }
        $entity->setFoundation($foundation);
        $entity->setStatus($status);
        $entity->setDocument($document);
        $entity->setDescription($description);
        return $entity;
    }

    public function updateOrganization($organization, $name, $foundation, $status, $document, $description, $resource = null) {
        $organization->setName($name);
        if(!($foundation instanceOf \DateTime)){
            $foundation = \DateTime::createFromFormat("d/m/Y", $foundation);
        }
        $organization->setFoundation($foundation);
        $organization->setStatus($status);
        $organization->setDocument($document);
        $organization->setDescription($description);
        if(!empty($resource)){
            $organization->setCreatedBy($resource);
        }
        return $organization;
    }

}